## EXPORT_SPEC int UpnpSendAdvertisement

## ( IN UpnpDevice_Handle Hnd,
IN int Exp )

> UpnpSendAdvertisement sends out the discovery announcements for all devices and services for a device.

## Documentation

> UpnpSendAdvertisement sends out the discovery announcements for all devices and services for a device. Each announcement is made with the same expiration time.

> UpnpSendAdvertisement is a synchronous call.

Parameters:
  Hnd - The device handle for which to send out the announcements.
  Exp - The expiration age, in seconds, of the announcements.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid device handle.
  - `UPNP_E_OUTOF_MEMORY`: There are insufficient resources to send future advertisements.

Alphabetic index

This page was generated with the help of DOC++.